Get an ImmoScout listing's details
curl --request POST \
--url https://api.stophy.dev/v1/immoscout/listing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"listing": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({listing: '<string>'})
};
fetch('https://api.stophy.dev/v1/immoscout/listing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/immoscout/listing"
payload = { "listing": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"listing": {
"url": "<string>",
"id": "<string>",
"title": "<string>",
"type": "<string>",
"status": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"district": "<string>"
},
"currency": "<string>",
"baseRent": 123,
"totalRent": 123,
"serviceCharge": 123,
"price": 123,
"livingSpace": 123,
"rooms": 123,
"yearBuilt": 0,
"energyClass": "<string>",
"attributes": [
{
"group": "<string>",
"label": "<string>",
"value": "<string>"
}
],
"texts": [
{
"title": "<string>",
"text": "<string>"
}
],
"images": [
{
"url": "<string>",
"caption": "<string>"
}
],
"agent": {
"name": "<string>",
"company": "<string>",
"phone": "<string>",
"rating": 123,
"url": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
}
}
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}ImmoScout24
ImmoScout24 listing API
Call the ImmoScout24 listing API to get title, status, address, currency, base rent and total rent, as JSON or markdown. 1 credit.
POST
/
v1
/
immoscout
/
listing
Get an ImmoScout listing's details
curl --request POST \
--url https://api.stophy.dev/v1/immoscout/listing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"listing": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({listing: '<string>'})
};
fetch('https://api.stophy.dev/v1/immoscout/listing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/immoscout/listing"
payload = { "listing": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"listing": {
"url": "<string>",
"id": "<string>",
"title": "<string>",
"type": "<string>",
"status": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"district": "<string>"
},
"currency": "<string>",
"baseRent": 123,
"totalRent": 123,
"serviceCharge": 123,
"price": 123,
"livingSpace": 123,
"rooms": 123,
"yearBuilt": 0,
"energyClass": "<string>",
"attributes": [
{
"group": "<string>",
"label": "<string>",
"value": "<string>"
}
],
"texts": [
{
"title": "<string>",
"text": "<string>"
}
],
"images": [
{
"url": "<string>",
"caption": "<string>"
}
],
"agent": {
"name": "<string>",
"company": "<string>",
"phone": "<string>",
"rating": 123,
"url": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
}
}
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
immoscout.listing - Returns:
datahaslisting. - Cost: 1 credit. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.immoscout.listing({ listing: "https://www.immobilienscout24.de/expose/123456789" });
console.log(result.data.listing);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.immoscout.listing(listing="https://www.immobilienscout24.de/expose/123456789")
print(result["data"]["listing"])
curl -X POST https://api.stophy.dev/v1/immoscout/listing \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"listing":"https://www.immobilienscout24.de/expose/123456789"}'
stophy immoscout listing https://www.immobilienscout24.de/expose/123456789
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json